{{ define "main" }}
{{ $allProducts := where .Site.RegularPages "Section" "products" }}
{{ $selectedProducts := sort (where $allProducts "Params.service" .Params.title ) "Title" }}

<div class="Container Container--full Container--center v-grow v-center Grid">
    <article class="Grid-item">
	<aside class="">
	    <nav role="breadcrumb">
		<nav-item>
		    {{ partial "link-to-page-section.html" . }}
		</nav-item>
		<nav-item>
		    <h1>
			<a href="{{ .Permalink}}">{{.Title}}</a>
		    </h1>
		</nav-item>
	    </nav>
	</aside>
	<main class="Content">
	    {{ .Content }}
	</main>
    </article>

    {{ if (gt (len $selectedProducts) 0) }}
    <section class="Grid-item">
	<p right>
	    <i>
		↶
		<small>
		    how I can help
		</small>
	    </i>
	</p>
	{{ partial "list-products.html" $selectedProducts }}

	{{ with .Site.GetPage "/contact" }}
	<nav role="cta">
	    <nav-item>
		Let's work together,
		<a href="{{ .Permalink | relURL }}">
		    <i>
			get in touch!
		    </i>
		</a>
	    </nav-item>
	</nav>
	{{ end }}
    </section>
    {{ end }}

    <aside class="Container Container--center Container--large v-end">
	{{ if (or .NextInSection .PrevInSection) }}
	<nav role="pagination">
	    {{with .PrevInSection}}
	    <nav-item previous>
		<a href="{{ .Permalink }}">{{ .Title }}</a>
	    </nav-item>
	    {{end}}
	    
	    {{with .NextInSection}}
	    <nav-item next>
		<a href="{{ .Permalink }}">{{ .Title }}</a>
	    </nav-item>
	    {{end}}
	</nav>
	{{ end }}
    </aside>
</div>

{{ end }}
